This abstract class describes classes that format the results of a SimpleTest testrun.

author | Michiel Rook
version | $Id: b9fbde1e1a21cccbcf6c3bdc29765cf0cf681e31 $
package | phing.tasks.ext.simpletest
since | 2.2.0

### Methods

## getElapsedTime()

    getElapsedTime()

## getErrorCount()

    getErrorCount()

## Returns the extension used for this formatter

    getExtension() : string

### Returns

`string`the extension

## getFailureCount()

    getFailureCount()

## getPreferredOutfile()

    getPreferredOutfile()

## getRunCount()

    getRunCount()

## getTestName()

    getTestName()

## paintCaseEnd()

    paintCaseEnd($test_name)

### Parameters

#### $test_name

## paintCaseStart()

    paintCaseStart($test_name)

### Parameters

#### $test_name

## paintError()

    paintError($message)

### Parameters

#### $message

## paintFail()

    paintFail($message)

### Parameters

#### $message

## paintMethodEnd()

    paintMethodEnd($test_name)

### Parameters

#### $test_name

## paintMethodStart()

    paintMethodStart($test_name)

### Parameters

#### $test_name

## Sets the writer the formatter is supposed to write its results to.

    setOutput(\Writer $out)

### Parameters

#### $out

## Sets the project

    setProject(\Project $project)

### Parameters

#### $project

`\Project`

the project

### Properties

##

    $out

##

    $project

##

    $currentTest

##

    $errorCount

##

    $failureCount

##

    $runCount

##

    $timer